Debian Bug report logs - #613806
ITP: mplayer2 -- next generation movie player for Unix-like systems

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Reinhard Tartler <siretart@tauware.de>

Date: Thu, 17 Feb 2011 11:54:01 UTC

Owned by: Reinhard Tartler <siretart@tauware.de>

Severity: wishlist

Merged with 617291

Fixed in version mplayer2/2.0~rc2-1

Done: Reinhard Tartler <siretart@tauware.de>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, siretart@tauware.de, debian-devel@lists.debian.org, pkg-multimedia-maintainers@lists.alioth.debian.org, wnpp@debian.org:
Bug#613806; Package wnpp. (Thu, 17 Feb 2011 11:54:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Reinhard Tartler <siretart@tauware.de>:
New Bug report received and forwarded. Copy sent to siretart@tauware.de, debian-devel@lists.debian.org, pkg-multimedia-maintainers@lists.alioth.debian.org, wnpp@debian.org. (Thu, 17 Feb 2011 11:54:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Reinhard Tartler <siretart@tauware.de>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: mplayer2 -- next generation movie player for Unix-like systems
Date: Thu, 17 Feb 2011 12:51:15 +0100
Package: wnpp
Severity: wishlist
Owner: Reinhard Tartler <siretart@tauware.de>

* Package name    : mplayer2
  Version         : 2.0beta1
  Upstream Author : Uoti Urpala <uoti.urpala@pp1.inet.fi>
* URL             : http://www.mplayer2.org/
* License         : GPL
  Programming Lang: C
  Description     : next generation movie player for Unix-like systems

   MPlayer plays most MPEG, VOB, AVI, Ogg/OGM, VIVO, ASF/WMA/WMV,
   QT/MOV/MP4, FLI, RM, NuppelVideo, yuv4mpeg, FILM, RoQ, PVA files,
   supported by many native, XAnim, RealPlayer, and Win32 DLL codecs. It
   can also play VideoCD, SVCD, DVD, 3ivx, RealMedia, and DivX movies.
   
   Another big feature of MPlayer is the wide range of supported output
   drivers. It works with X11, Xv, DGA, OpenGL, SVGAlib, fbdev, DirectFB,
   but also SDL (plus all its drivers) and some low level card-specific
   drivers (for Matrox, 3Dfx and Radeon, Mach64 and Permedia3). Most of
   them support software or hardware scaling, therefore allowing fullscreen
   display. MPlayer is also able to use some hardware MPEG decoder boards,
   such as the DVB and DXR3/Hollywood+.
   

The text above is copied from the existing mplayer package. It is
basically a well-known and quite popular fork of mplayer. TBH, I'm a bit
unsure what to do with it. From the first look, it seems that mplayer2
is better suited for being included in a distro release, but not (yet)
in its current form. Currently, it includes a copy of ffmpeg-mt, a
well-known fork of the ffmpeg package, which features multithreaded h264
decoding and actually is already in debian as part of the
chromium-browser package. While ffmpeg-mt is currently being
integrated/merged into ffmpeg upstream, mplayer2's future is not that
certain.

Having this in mind, I intend to maintain the package under the
pkg-multimedia umbrella. mplayer2 shoudl go to experimental for now,
including ffmpeg-mt. Help and ideas with that is more than welcome!




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#613806; Package wnpp. (Thu, 17 Feb 2011 12:18:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Reinhard Tartler <siretart@tauware.de>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Thu, 17 Feb 2011 12:18:06 GMT) Full text and rfc822 format available.

Message #10 received at 613806@bugs.debian.org (full text, mbox):

From: Reinhard Tartler <siretart@tauware.de>
To: 613806@bugs.debian.org
Cc: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Subject: Re: Bug#613806: ITP: mplayer2 -- next generation movie player for Unix-like systems
Date: Thu, 17 Feb 2011 13:16:08 +0100
BTW, this request known in ubuntu as https://launchpad.net/bugs/611851
-- 
Gruesse/greetings,
Reinhard Tartler, KeyID 945348A4




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Reinhard Tartler <siretart@tauware.de>:
Bug#613806; Package wnpp. (Fri, 18 Feb 2011 12:09:03 GMT) Full text and rfc822 format available.

Message #13 received at 613806@bugs.debian.org (full text, mbox):

From: Uoti Urpala <uoti.urpala@pp1.inet.fi>
To: debian-devel@lists.debian.org
Subject: Re: Bug#613806: ITP: mplayer2 -- next generation movie player for Unix-like systems
Date: Fri, 18 Feb 2011 11:08:25 +0000 (UTC)
The following message is a courtesy copy of an article
that has been posted to gmane.linux.debian.devel.general as well.

Reinhard Tartler <siretart <at> tauware.de> writes:
> Package: wnpp
> Severity: wishlist
> Owner: Reinhard Tartler <siretart <at> tauware.de>
> 
> * Package name    : mplayer2
>   Version         : 2.0beta1
>   Upstream Author : Uoti Urpala <uoti.urpala <at> pp1.inet.fi>
> * URL             : http://www.mplayer2.org/
> * License         : GPL
>   Programming Lang: C
>   Description     : next generation movie player for Unix-like systems
> 
>    MPlayer plays most MPEG, VOB, AVI, Ogg/OGM, VIVO, ASF/WMA/WMV,
>    QT/MOV/MP4, FLI, RM, NuppelVideo, yuv4mpeg, FILM, RoQ, PVA files,
>    supported by many native, XAnim, RealPlayer, and Win32 DLL codecs. It
>    can also play VideoCD, SVCD, DVD, 3ivx, RealMedia, and DivX movies.
> 
>    Another big feature of MPlayer is the wide range of supported output
>    drivers. It works with X11, Xv, DGA, OpenGL, SVGAlib, fbdev, DirectFB,

> The text above is copied from the existing mplayer package. It is

The long description really needs a rewrite.

> basically a well-known and quite popular fork of mplayer. TBH, I'm a bit
> unsure what to do with it. From the first look, it seems that mplayer2
> is better suited for being included in a distro release, but not (yet)
> in its current form. Currently, it includes a copy of ffmpeg-mt, a

I'm not sure if you've misunderstood something or just phrased things
inaccurately, but I think this description is at least misleading for people who
aren't already familiar with the setup.

The player itself does not include a copy of any FFmpeg version, and can be
compiled against any external library versions. However, using FFmpeg-mt is the
best choice for the majority of users. Since there aren't packaged versions
available for most distros (and it's not really suited for a systemwide install
in its current form due to some API issues), the alternative recommended for
most users is to statically link against a custom-compiled FFmpeg-mt. The build
wrapper exists to make it easy to do this without needing separate manual
library building steps. However, use of the wrapper is in no way forced, and
users/packagers are free to choose what form of FFmpeg libraries to compile
against.

> well-known fork of the ffmpeg package, which features multithreaded h264
> decoding and actually is already in debian as part of the
> chromium-browser package. While ffmpeg-mt is currently being
> integrated/merged into ffmpeg upstream, mplayer2's future is not that
> certain.

If by future you mean the possibility of a merge with MPlayer 1, I think it's
pretty certain that won't happen. It's possible that at some point MPlayer 1
will die and be completely replaced by MPlayer2, but any other kind of "merge"
seems unlikely.


> Having this in mind, I intend to maintain the package under the
> pkg-multimedia umbrella. mplayer2 shoudl go to experimental for now,
> including ffmpeg-mt. Help and ideas with that is more than welcome!

I think having a package using FFmpeg-mt available is good, as it's a
substantial performance improvement over anything available in Debian today.
However as above this isn't directly forced by MPlayer2 itself.






Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Reinhard Tartler <siretart@tauware.de>:
Bug#613806; Package wnpp. (Fri, 18 Feb 2011 12:18:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Reinhard Tartler <siretart@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Reinhard Tartler <siretart@tauware.de>. (Fri, 18 Feb 2011 12:18:03 GMT) Full text and rfc822 format available.

Message #18 received at 613806@bugs.debian.org (full text, mbox):

From: Reinhard Tartler <siretart@debian.org>
To: Uoti Urpala <uoti.urpala@pp1.inet.fi>
Cc: debian-devel@lists.debian.org, 613806@bugs.debian.org
Subject: Re: Bug#613806: ITP: mplayer2 -- next generation movie player for Unix-like systems
Date: Fri, 18 Feb 2011 13:15:00 +0100
Thanks for jumping on this ITP, I wanted to point you to this ITP
yesteday but got distracted by other stuff. Seems you've noticed it
anyway, which is cool! :-)

On Fri, Feb 18, 2011 at 12:08:25 (CET), Uoti Urpala wrote:

> Reinhard Tartler <siretart <at> tauware.de> writes:
>> Package: wnpp
>> Severity: wishlist
>> Owner: Reinhard Tartler <siretart <at> tauware.de>
>> 
>> * Package name    : mplayer2
>>   Version         : 2.0beta1
>>   Upstream Author : Uoti Urpala <uoti.urpala <at> pp1.inet.fi>
>> * URL             : http://www.mplayer2.org/
>> * License         : GPL
>>   Programming Lang: C
>>   Description     : next generation movie player for Unix-like systems
>> 
>>    MPlayer plays most MPEG, VOB, AVI, Ogg/OGM, VIVO, ASF/WMA/WMV,
>>    QT/MOV/MP4, FLI, RM, NuppelVideo, yuv4mpeg, FILM, RoQ, PVA files,
>>    supported by many native, XAnim, RealPlayer, and Win32 DLL codecs. It
>>    can also play VideoCD, SVCD, DVD, 3ivx, RealMedia, and DivX movies.
>> 
>>    Another big feature of MPlayer is the wide range of supported output
>>    drivers. It works with X11, Xv, DGA, OpenGL, SVGAlib, fbdev, DirectFB,
>
>> The text above is copied from the existing mplayer package. It is
>
> The long description really needs a rewrite.

Absolutely. Actually, this is also true for the package description of
the existing 'mplayer' package.

>> basically a well-known and quite popular fork of mplayer. TBH, I'm a bit
>> unsure what to do with it. From the first look, it seems that mplayer2
>> is better suited for being included in a distro release, but not (yet)
>> in its current form. Currently, it includes a copy of ffmpeg-mt, a
>
> I'm not sure if you've misunderstood something or just phrased things
> inaccurately, but I think this description is at least misleading for
> people who aren't already familiar with the setup.

Thanks for your elaboration on the issue. For practical packaging issue,
I think it makes most sense to just use the copy of ffmpeg-mt that is
included in the mplayer2 tarball. This is what i've referred to with
saying 'includes a copy of ffmpeg-mt'.

> I think having a package using FFmpeg-mt available is good, as it's a
> substantial performance improvement over anything available in Debian today.
> However as above this isn't directly forced by MPlayer2 itself.

Which has been requested several times now. Relevant reports include: 

http://bugs.debian.org/575600
http://launchpad.net/bugs/611851

-- 
Gruesse/greetings,
Reinhard Tartler, KeyID 945348A4




Forcibly Merged 613806 617291. Request was from Salvatore Bonaccorso <carnil@debian.org> to control@bugs.debian.org. (Mon, 07 Mar 2011 21:15:17 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#613806; Package wnpp. (Sun, 20 Mar 2011 22:06:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Reinhard Tartler <siretart@tauware.de>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Sun, 20 Mar 2011 22:06:03 GMT) Full text and rfc822 format available.

Message #25 received at 613806@bugs.debian.org (full text, mbox):

From: Reinhard Tartler <siretart@tauware.de>
To: pkg-multimedia-maintainers@lists.alioth.debian.org
Cc: 613806@bugs.debian.org, Uoti Urpala <uoti.urpala@pp1.inet.fi>
Subject: Re: [SCM] mplayer2/master: use pkg-multimedia team as maintainer
Date: Sun, 20 Mar 2011 23:03:17 +0100
On Sun, Mar 20, 2011 at 22:50:16 (CET), siretart@users.alioth.debian.org wrote:

> The following commit has been merged in the master branch:
> commit 19bbc946c6b3a57dba182be5e22a1377db32a143
> Author: Reinhard Tartler <siretart@tauware.de>
> Date:   Sun Mar 20 22:48:51 2011 +0100
>
>     use pkg-multimedia team as maintainer
>
> diff --git a/debian/control b/debian/control
> index 42ad45e..0295f70 100644
> --- a/debian/control
> +++ b/debian/control
> @@ -1,7 +1,8 @@
>  Source: mplayer2
>  Section: video
>  Priority: extra
> -Maintainer: Reinhard Tartler <siretart@tauware.de>
> +Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
> +Uploaders: Reinhard Tartler <siretart@tauware.de>
>  Build-Depends:
>   autoconf,
>   automake,

Okay, initial packaging is done, result can be seen here:
http://git.debian.org/?p=pkg-multimedia/mplayer2.git

As per team policy that each package needs a 2nd support, I herby
solicit for reviewers of the package that agree to put themselves in the
uploaders field.

Most work was in debian/copyright, I'd appreciate a second look to check
that I didn't miss anything (probably I did lots, but let's try to get
it uploaded ASAP now as NEW processing time seem to be rather longish
these days)...

-- 
Gruesse/greetings,
Reinhard Tartler, KeyID 945348A4




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Reinhard Tartler <siretart@tauware.de>:
Bug#613806; Package wnpp. (Thu, 24 Mar 2011 18:18:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sebastian Reichel <sre@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Reinhard Tartler <siretart@tauware.de>. (Thu, 24 Mar 2011 18:18:03 GMT) Full text and rfc822 format available.

Message #30 received at 613806@bugs.debian.org (full text, mbox):

From: Sebastian Reichel <sre@debian.org>
To: 613806@bugs.debian.org
Cc: Reinhard Tartler <siretart@tauware.de>
Subject: Re: Bug#613806: ITP: mplayer2 -- next generation movie player for Unix-like systems
Date: Thu, 24 Mar 2011 18:45:28 +0100
[Message part 1 (text/plain, inline)]
Hi,

I just tested your mplayer2 package. It works fine so far, but it's
missing a "Conflicts: mplayer" line in the control file, because
both mplayer2 and mplayer contain /usr/bin/mplayer and the
respective manpage.

-- Sebastian
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#613806; Package wnpp. (Thu, 24 Mar 2011 19:06:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Reinhard Tartler <siretart@tauware.de>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Thu, 24 Mar 2011 19:06:07 GMT) Full text and rfc822 format available.

Message #35 received at 613806@bugs.debian.org (full text, mbox):

From: Reinhard Tartler <siretart@tauware.de>
To: Sebastian Reichel <sre@debian.org>
Cc: 613806@bugs.debian.org
Subject: Re: Bug#613806: ITP: mplayer2 -- next generation movie player for Unix-like systems
Date: Thu, 24 Mar 2011 20:04:33 +0100
> I just tested your mplayer2 package. It works fine so far, but it's
> missing a "Conflicts: mplayer" line in the control file, because
> both mplayer2 and mplayer contain /usr/bin/mplayer and the
> respective manpage.

Oh, thanks for the notice!

I think we should install it as /usr/bin/mplayer2, and also rename the
manpage accordingly.

Alessio, what do you think?

-- 
Gruesse/greetings,
Reinhard Tartler, KeyID 945348A4




Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Sun, 27 Mar 2011 19:06:04 GMT) Full text and rfc822 format available.

Reply sent to Reinhard Tartler <siretart@tauware.de>:
You have taken responsibility. (Mon, 18 Apr 2011 10:21:26 GMT) Full text and rfc822 format available.

Notification sent to Reinhard Tartler <siretart@tauware.de>:
Bug acknowledged by developer. (Mon, 18 Apr 2011 10:21:29 GMT) Full text and rfc822 format available.

Message #42 received at 613806-close@bugs.debian.org (full text, mbox):

From: Reinhard Tartler <siretart@tauware.de>
To: 613806-close@bugs.debian.org
Subject: Bug#613806: fixed in mplayer2 2.0~rc2-1
Date: Mon, 18 Apr 2011 10:17:43 +0000
Source: mplayer2
Source-Version: 2.0~rc2-1

We believe that the bug you reported is fixed in the latest version of
mplayer2, which is due to be installed in the Debian FTP archive:

mplayer2-dbg_2.0~rc2-1_i386.deb
  to main/m/mplayer2/mplayer2-dbg_2.0~rc2-1_i386.deb
mplayer2_2.0~rc2-1.debian.tar.gz
  to main/m/mplayer2/mplayer2_2.0~rc2-1.debian.tar.gz
mplayer2_2.0~rc2-1.dsc
  to main/m/mplayer2/mplayer2_2.0~rc2-1.dsc
mplayer2_2.0~rc2-1_i386.deb
  to main/m/mplayer2/mplayer2_2.0~rc2-1_i386.deb
mplayer2_2.0~rc2.orig.tar.gz
  to main/m/mplayer2/mplayer2_2.0~rc2.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 613806@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Reinhard Tartler <siretart@tauware.de> (supplier of updated mplayer2 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sun, 20 Mar 2011 22:48:03 +0100
Source: mplayer2
Binary: mplayer2 mplayer2-dbg
Architecture: source i386
Version: 2.0~rc2-1
Distribution: experimental
Urgency: low
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Changed-By: Reinhard Tartler <siretart@tauware.de>
Description: 
 mplayer2   - next generation movie player for Unix-like systems
 mplayer2-dbg - Debugging symbols for mplayer2
Closes: 613806
Changes: 
 mplayer2 (2.0~rc2-1) experimental; urgency=low
 .
   * Initial release (Closes: #613806)
Checksums-Sha1: 
 fc992ae2cd3a99acf868f00e086be33a816bb12e 2271 mplayer2_2.0~rc2-1.dsc
 d998ec59c961e12feb767bbee0f0ef4809520247 10395371 mplayer2_2.0~rc2.orig.tar.gz
 7675a09460a662717a874cb73db04a6a006bd206 8136 mplayer2_2.0~rc2-1.debian.tar.gz
 8464b6b82234a49f40b37064c7910cf95d13c33a 4705544 mplayer2_2.0~rc2-1_i386.deb
 70d2cd47fe1c8a145cd0cf869af9c542a9cef19a 19821044 mplayer2-dbg_2.0~rc2-1_i386.deb
Checksums-Sha256: 
 b7d75de2d441d79eac3d51c77d7ffd801db9c00a2109ed1b247b1dfbcf700459 2271 mplayer2_2.0~rc2-1.dsc
 1419803616777cb49f4b8b4efd8f33e68ff44225b797b4f9faf4d346db74eb7c 10395371 mplayer2_2.0~rc2.orig.tar.gz
 e2a41cbfc078953be6fd387a9b30a1d8eb502961fda11643ded21a46be8ffa3e 8136 mplayer2_2.0~rc2-1.debian.tar.gz
 26dfd646f6c5c3778ab1d98c6f1b9732930dfb70c7f9c453fb58b0379e4bf611 4705544 mplayer2_2.0~rc2-1_i386.deb
 92e11aa80294e58769562828441482dd1524b37ceb7f9ff1fcf7f3d9c187323e 19821044 mplayer2-dbg_2.0~rc2-1_i386.deb
Files: 
 da2fa089202528eb18efbaeb013b5150 2271 video extra mplayer2_2.0~rc2-1.dsc
 5897d16a1641ca41b062a65317f9ddbf 10395371 video extra mplayer2_2.0~rc2.orig.tar.gz
 140ecc3da0ba1852db4e783b8da57b02 8136 video extra mplayer2_2.0~rc2-1.debian.tar.gz
 2bb8f03ff30c863108d06439c02ec1ee 4705544 video extra mplayer2_2.0~rc2-1_i386.deb
 affa77bce82a3008fcca10e159c7bbca 19821044 debug extra mplayer2-dbg_2.0~rc2-1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)
Comment: Debian Powered!

iEYEARECAAYFAk2PY3cACgkQmAg1RJRTSKSXLQCfRoLqZLeY0pas0TXS1Jv020TM
QZ8An2YWmBrf1FWz+1b3OblL+cMpzEAI
=/wEK
-----END PGP SIGNATURE-----





Reply sent to Reinhard Tartler <siretart@tauware.de>:
You have taken responsibility. (Mon, 18 Apr 2011 10:21:34 GMT) Full text and rfc822 format available.

Notification sent to Eric Appleman <erappleman@gmail.com>:
Bug acknowledged by developer. (Mon, 18 Apr 2011 10:21:41 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 17 May 2011 07:34:32 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 22:25:05 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.